Network Scan Templates
Operations for the Network Scan Templates service collection.
| Language | Last Update |
|---|---|
| Python | v1.6.1 |
| PowerShell | v2.2.9 |
| Go | v0.20.0 |
| TypeScript | v0.6.0 |
| Rust | v0.7.0 |
| Ruby | v1.2.0 |
Table of Contents
Section titled “Table of Contents”| Operation | Description |
|---|---|
get_template_configsget_template_configs | Get details on the network scan template configurations |
get_templatesget_templates | Get “templates” by their IDs |
create_templatescreate_templates | Create “templates” using provided specifications |
delete_templatesdelete_templates | Delete “templates” by their IDs |
update_templatesupdate_templates | Update “templates” using provided specifications |
query_templatesquery_templates | Get “templates IDs” by filter |
get_template_configs
Section titled “get_template_configs”Get details on the network scan template configurations
GET /netscan/entities/template-configs/v1
PEP 8
get_template_configsCode Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_template_configs()print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.get_template_configs()print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("get_template_configs")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
xCSUSERUUID := "string"
response, err := client.NetworkScanTemplates.GetTemplateConfigs( &network_scan_templates.GetTemplateConfigsParams{ XCSUSERUUID: &xCSUSERUUID, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.getTemplateConfigs();
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
response = api.get_template_configs
puts responseget_templates
Section titled “get_templates”Get “templates” by their IDs
GET /netscan/entities/templates/v1
PEP 8
get_templatesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | string or list of strings | IDs of “templates” to be retrieved (Min: 1, Max: 100) |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_templates(ids=id_list)print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_templates(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("get_templates", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.NetworkScanTemplates.GetTemplates( &network_scan_templates.GetTemplatesParams{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.getTemplates(["ID1", "ID2", "ID3"]); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
response = api.get_templates(['ID1', 'ID2', 'ID3'])
puts responsecreate_templates
Section titled “create_templates”Create “templates” using provided specifications
POST /netscan/entities/templates/v1
PEP 8
create_templatesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload as JSON formatted dictionary. |
| active_check_level | body | string | The active check level associated with the template |
| additional_tcp_ports | body | array | Additional TCP ports associated with the template |
| additional_udp_ports | body | array | Additional UDP ports associated with the template |
| auto_include_new_detections | body | boolean | Automatically include new detections in the template |
| detections | body | array | Detections associated with the template |
| ignore_tcp_resets | body | boolean | Ignore TCP resets associated with the template |
| name | body | string | The name given to the template |
| ports_scan_level | body | string | The port scan level associated with the template |
| scan_intensity | body | string | The scan intensity at which scans will run from this template |
| type | body | string | The type of the template |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_templates(active_check_level="string", additional_tcp_ports=["string"], additional_udp_ports=["string"], auto_include_new_detections=boolean, detections=["string"], ignore_tcp_resets=boolean, name="string", ports_scan_level="string", scan_intensity="string", type="string")print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.create_templates(active_check_level="string", additional_tcp_ports=["string"], additional_udp_ports=["string"], auto_include_new_detections=boolean, detections=["string"], ignore_tcp_resets=boolean, name="string", ports_scan_level="string", scan_intensity="string", type="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = [ { "active_check_level": "string", "additional_tcp_ports": ["string"], "additional_udp_ports": ["string"], "auto_include_new_detections": boolean, "detections": ["string"], "ignore_tcp_resets": boolean, "name": "string", "ports_scan_level": "string", "scan_intensity": "string", "type": "string" }]
response = falcon.command("create_templates", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
active_check_level := "string" auto_include_new_detections := boolean ignore_tcp_resets := boolean name := "string" ports_scan_level := "string" scan_intensity := "string" type := "string"
response, err := client.NetworkScanTemplates.CreateTemplates( &network_scan_templates.CreateTemplatesParams{ Body: []*models.DomainTemplateCreateRequest{ { ActiveCheckLevel: &active_check_level, AdditionalTcpPorts: []string{"string"}, AdditionalUdpPorts: []string{"string"}, AutoIncludeNewDetections: &auto_include_new_detections, Detections: []string{"string"}, IgnoreTcpResets: &ignore_tcp_resets, Name: &name, PortsScanLevel: &ports_scan_level, ScanIntensity: &scan_intensity, Type: &type, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.createTemplates( [{ activeCheckLevel: "string", additionalTcpPorts: [], additionalUdpPorts: [], autoIncludeNewDetections: boolean, detections: [], ignoreTcpResets: boolean, name: "string", portsScanLevel: "string", scanIntensity: "string", type: "string"}] // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
body = [Falcon::DomainTemplateCreateRequest.new( active_check_level: 'string', additional_tcp_ports: [], additional_udp_ports: [], auto_include_new_detections: boolean, detections: [], ignore_tcp_resets: boolean, name: 'string', ports_scan_level: 'string', scan_intensity: 'string', type: 'string')]
response = api.create_templates(body)
puts responsedelete_templates
Section titled “delete_templates”Delete “templates” by their IDs
DELETE /netscan/entities/templates/v1
PEP 8
delete_templatesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| ids | query | string or list of strings | IDs of “templates” to be deleted (Min: 1, Max: 100) |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_templates(ids=id_list)print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_templates(ids=id_list)print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.command("delete_templates", ids=id_list)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
response, err := client.NetworkScanTemplates.DeleteTemplates( &network_scan_templates.DeleteTemplatesParams{ Ids: []string{"ID1", "ID2", "ID3"}, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.deleteTemplates(["ID1", "ID2", "ID3"]); // ids
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
response = api.delete_templates(['ID1', 'ID2', 'ID3'])
puts responseupdate_templates
Section titled “update_templates”Update “templates” using provided specifications
PATCH /netscan/entities/templates/v1
PEP 8
update_templatesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| body | body | dictionary | Full body payload as JSON formatted dictionary. |
| active_check_level | body | string | The active check level associated with the template |
| additional_tcp_ports | body | array | Additional TCP ports associated with the template |
| additional_udp_ports | body | array | Additional UDP ports associated with the template |
| auto_include_new_detections | body | boolean | Automatically include new detections in the template |
| detections | body | array | Detections associated with the template |
| id | body | string | The unique identifier of the template |
| ignore_tcp_resets | body | boolean | Ignore TCP resets associated with the template |
| name | body | string | The name given to the template |
| ports_scan_level | body | string | The port scan level associated with the template |
| scan_intensity | body | string | The scan intensity at which scans will run from this template |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_templates(active_check_level="string", additional_tcp_ports=["string"], additional_udp_ports=["string"], auto_include_new_detections=boolean, detections=["string"], id="string", ignore_tcp_resets=boolean, name="string", ports_scan_level="string", scan_intensity="string")print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.update_templates(active_check_level="string", additional_tcp_ports=["string"], additional_udp_ports=["string"], auto_include_new_detections=boolean, detections=["string"], id="string", ignore_tcp_resets=boolean, name="string", ports_scan_level="string", scan_intensity="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
body_payload = [ { "active_check_level": "string", "additional_tcp_ports": ["string"], "additional_udp_ports": ["string"], "auto_include_new_detections": boolean, "detections": ["string"], "id": "string", "ignore_tcp_resets": boolean, "name": "string", "ports_scan_level": "string", "scan_intensity": "string" }]
response = falcon.command("update_templates", body=body_payload)print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates" "github.com/crowdstrike/gofalcon/falcon/models")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
active_check_level := "string" auto_include_new_detections := boolean id := "string" ignore_tcp_resets := boolean name := "string" ports_scan_level := "string" scan_intensity := "string"
response, err := client.NetworkScanTemplates.UpdateTemplates( &network_scan_templates.UpdateTemplatesParams{ Body: []*models.DomainTemplateUpdateRequest{ { ActiveCheckLevel: &active_check_level, AdditionalTcpPorts: []string{"string"}, AdditionalUdpPorts: []string{"string"}, AutoIncludeNewDetections: &auto_include_new_detections, Detections: []string{"string"}, ID: &id, IgnoreTcpResets: &ignore_tcp_resets, Name: &name, PortsScanLevel: &ports_scan_level, ScanIntensity: &scan_intensity, }, }, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.updateTemplates( [{ activeCheckLevel: "string", additionalTcpPorts: [], additionalUdpPorts: [], autoIncludeNewDetections: boolean, detections: [], id: "string", ignoreTcpResets: boolean, name: "string", portsScanLevel: "string", scanIntensity: "string"}] // body);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
body = [Falcon::DomainTemplateUpdateRequest.new( active_check_level: 'string', additional_tcp_ports: [], additional_udp_ports: [], auto_include_new_detections: boolean, detections: [], id: 'string', ignore_tcp_resets: boolean, name: 'string', ports_scan_level: 'string', scan_intensity: 'string')]
response = api.update_templates(body)
puts responsequery_templates
Section titled “query_templates”Get “templates IDs” by filter
GET /netscan/queries/templates/v1
PEP 8
query_templatesParameters
Section titled “Parameters”| Name | Type | Data type | Description |
|---|---|---|---|
| offset | query | integer | An offset used with the limit parameter to manage pagination of results. On your first request, don’t provide an offset. On subsequent requests, add previous offset with the previous limit to continue from that place in the results |
| limit | query | integer | The number of “templates IDs” to return in this response (Min: 1, Max: 100, Default: 100) |
| sort | query | string | Sort “templates” by their properties. A single sort field is allowed |
| filter | query | string | Search for “templates” by providing an FQL filter |
Code Examples
Section titled “Code Examples”from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_templates(offset="string", limit="string", sort="string", filter="string")print(response)from falconpy import NetworkScanTemplates
falcon = NetworkScanTemplates(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.query_templates(offset="string", limit="string", sort="string", filter="string")print(response)from falconpy import APIHarnessV2
falcon = APIHarnessV2(client_id=CLIENT_ID, client_secret=CLIENT_SECRET )
response = falcon.command("query_templates", offset=integer, limit=integer, sort="string", filter="string")print(response)Examples coming soon.
package main
import ( "context" "fmt" "os"
"github.com/crowdstrike/gofalcon/falcon" "github.com/crowdstrike/gofalcon/falcon/client/network_scan_templates")
func main() { client, err := falcon.NewClient(&falcon.ApiConfig{ ClientId: os.Getenv("FALCON_CLIENT_ID"), ClientSecret: os.Getenv("FALCON_CLIENT_SECRET"), Context: context.Background(), }) if err != nil { panic(err) }
offset := int64(0) limit := int64(0) sort := "string" filter := "string"
response, err := client.NetworkScanTemplates.QueryTemplates( &network_scan_templates.QueryTemplatesParams{ Offset: &offset, Limit: &limit, Sort: &sort, Filter: &filter, Context: context.Background(), }, ) if err != nil { panic(falcon.ErrorExplain(err)) }
fmt.Printf("%+v\n", response.Payload)}import { FalconClient } from "crowdstrike-falcon";
const client = new FalconClient({ cloud: process.env.FALCON_CLOUD!, clientId: process.env.FALCON_CLIENT_ID!, clientSecret: process.env.FALCON_CLIENT_SECRET!,});
const response = await client.networkScanTemplates.queryTemplates( integer, // offset integer, // limit "string", // sort "string" // filter);
console.log(response);Examples coming soon.
require "crimson-falcon"
Falcon.configure do |config| config.client_id = ENV["FALCON_CLIENT_ID"] config.client_secret = ENV["FALCON_CLIENT_SECRET"] config.cloud = ENV["FALCON_CLOUD"]end
api = Falcon::NetworkScanTemplates.new
response = api.query_templates(offset: integer, limit: integer, sort: 'string', filter: 'string')
puts response